blob: 84913a5f83b6dacc5da29ad2420c376b40225feb [file] [log] [blame]
#! /bin/sh
NAME=prosody
DAEMON=/usr/bin/$NAME
# This must match the pidfile field in
# /etc/prosody/prosody.cfg.lua
PIDDIR=/var/run/$NAME
PIDFILE=$PIDDIR/$NAME.pid
# Gracefully exit if the package has been removed.
test -x $DAEMON || exit 0
case "$1" in
start)
printf "Starting $NAME: "
mkdir -p $PIDDIR
chown $NAME:$NAME $PIDDIR
start-stop-daemon -S -q -o -x $DAEMON -c $NAME
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
stop)
printf "Stopping $NAME: "
# The standard method of identifying the name doesn't
# work as the process name is lua. So use the pidfile
# which is created by the service itself as a match
# criteria when stopping the service
start-stop-daemon -K -q -o -p "$PIDFILE"
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
restart|reload)
echo "Restarting $NAME: "
$0 stop
sleep 1
$0 start
;;
*)
echo "Usage: $0 {start|stop|restart|reload}" >&2
exit 1
;;
esac
exit 0